# GimpUi.ColorProfileComboBox.add_file

    @accepts(GimpUi.ColorProfileComboBox, Gio.File, unicode)
    @returns(none)
    def add_file(self, file, label):
        # Python wrapper for gimp_color_profile_combo_box_add_file()

This function delegates to the underlying GimpUi.ColorProfileStore. Please refer to the documentation of GimpUi.ColorProfileStore.add_file for details.

Since 2.10

self

  a GimpUi.ColorProfileComboBox

file

  file of the profile to add (or None)

label

  label to use for the profile (may only be None if file is None)